package com.ht.ui.energy.sum;

import java.util.HashMap;
import java.util.Map;

import javafx.beans.property.DoubleProperty;
import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

class EnergyData {
	private StringProperty energyCategory = new SimpleStringProperty();
	private Map<String, StringProperty> normalCategoryMap = new HashMap<String, StringProperty>();
	private DoubleProperty max = new SimpleDoubleProperty();
	private DoubleProperty min = new SimpleDoubleProperty();
	private DoubleProperty avg = new SimpleDoubleProperty();
	private DoubleProperty sum = new SimpleDoubleProperty();
	private DoubleProperty convertSum = new SimpleDoubleProperty();

	public EnergyData() {
	}

	public StringProperty getEnergyCategory() {
		return energyCategory;
	}

	public Map<String, StringProperty> getNormalCategoryMap() {
		return normalCategoryMap;
	}

	// public Map<Integer, DoubleProperty> getItemMap() {
	// return itemMap;
	// }

	public DoubleProperty getMax() {
		return max;
	}

	public DoubleProperty getMin() {
		return min;
	}

	public DoubleProperty getAvg() {
		return avg;
	}

	public DoubleProperty getSum() {
		return sum;
	}

	public DoubleProperty getConvertSum() {
		return convertSum;
	}
}